Bug 462590 - Broken provides: perl(Archive::Tar*)
Broken provides: perl(Archive::Tar*)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On: 462444
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 08:21 EDT by Ralf Corsepius
Modified: 2008-10-03 18:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-09-17 08:21:34 EDT
This initially started with Bug #462444.

Description of problem:
perl-Archive-Extract must not provide perl(Archive::Tar*):

$ rpm -q --provides -p perl-Archive-Extract-0.24-33.fc9.i386.rpm 
perl(Archive::Extract) = 0.24
perl(Archive::Tar) = 1.38
perl(Archive::Tar::Constant) = 0.02
perl(Archive::Tar::File) = 0.02
perl-Archive-Extract = 1:0.24-33.fc9

$ rpm -q --provides -p perl-Archive-Tar-1.37-33.fc9.i386.rpm 
perl(Archive::Tar) = 1.38
perl(Archive::Tar::Constant) = 0.02
perl(Archive::Tar::File) = 0.02
perl-Archive-Tar = 0:1.37-33.fc9
Comment 1 Marcela Mašláňová 2008-09-17 10:59:19 EDT
Thank you for creating tickets. This problem will be solved in next update perl-5.10.0-34.fc9.
Comment 2 Fedora Update System 2008-09-17 11:00:23 EDT
perl-5.10.0-34.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-5.10.0-34.fc9
Comment 3 Fedora Update System 2008-09-24 20:13:51 EDT
perl-5.10.0-34.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8261
Comment 4 Fedora Update System 2008-10-03 18:29:02 EDT
perl-5.10.0-34.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.